<?xml version="1.0" encoding="UTF-8"?>
<beans xmlns="http://www.springframework.org/schema/beans"
       xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:tx="http://www.springframework.org/schema/tx"
       xmlns:aop="http://www.springframework.org/schema/aop" xmlns:task="http://www.springframework.org/schema/task"
       xsi:schemaLocation="
    http://www.springframework.org/schema/beans
    http://www.springframework.org/schema/beans/spring-beans-3.0.xsd
    http://www.springframework.org/schema/tx 
    http://www.springframework.org/schema/tx/spring-tx-3.0.xsd
    http://www.springframework.org/schema/aop
    http://www.springframework.org/schema/aop/spring-aop-3.0.xsd
    http://www.springframework.org/schema/task 
    http://www.springframework.org/schema/task/spring-task-3.0.xsd">
    
    <bean id="mesurePhysicoChimieDAO" class="org.inra.ecoinfo.pro.dataset.physicochimie.sol.elementaire.jpa.JPAMesurePhysicoChimieDAO" parent="abstractDAO" />	
    <bean id="valeurPhysicoChimieDAO" class="org.inra.ecoinfo.pro.dataset.physicochimie.sol.elementaire.jpa.JPAValeurPhysicoChimieSolDAO" parent="abstractDAO"/>
    <bean id="publicationPhysicoChimieDAO" class="org.inra.ecoinfo.pro.dataset.physicochimie.sol.elementaire.jpa.JPAPublicationPhysicoChimieDAO"/>
    <bean id="physicoChimieDatatypeManager" class="org.inra.ecoinfo.pro.dataset.physicochimie.sol.elementaire.impl.DefaultPhysicochimieDatatypeManager" parent="MO"/>
    <bean id="sessionPropertiesPhysicoChimie" class="org.inra.ecoinfo.pro.dataset.physicochimie.sol.elementaire.impl.SessionPropertiesPhysicoChimie" scope="prototype">
        <property name="dateFormat" ref="dateFormatyyyyMMdd" />
        <property name="localizationManager" ref="localizationManager" />
    </bean>
    
    <bean id="testValuesPhysicoChimie" class="org.inra.ecoinfo.pro.dataset.physicochimie.sol.elementaire.impl.TestValuesPhysicoChimie"
          parent="genericTestValues">
    </bean>
	
    <bean id="testHeadersPhysicoChimie" class="org.inra.ecoinfo.pro.dataset.physicochimie.sol.elementaire.impl.TestHeadersPhysicoChimie"
          parent="genericTestHeaders">
    </bean>
    
    <bean id="deleteRecordPhysicoChimie" class="org.inra.ecoinfo.pro.dataset.impl.DeleteRecord"
          parent="deleteRecord">
        <property name="publicationDAO" ref="publicationPhysicoChimieDAO" />
    </bean>
    
    <bean id="processRecordPhysicoChimie" class="org.inra.ecoinfo.pro.dataset.physicochimie.sol.elementaire.impl.ProcessRecordPhysicoChimie"
          parent="abstractProcessRecord">
        <property name="mesurePhysicoChimieDAO" ref="mesurePhysicoChimieDAO" />
        <property name="echantillonSolDAO" ref="echantillonSolDAO"/>
        <property name="methodeDAO" ref="methodeDAO"/>
        <property name="uniteproDAO" ref="uniteproDAO"/>
        <property name="humiditeDAO" ref="humiditeDAO"/>
        <property name="variPRODAO" ref="variPRODAO"/>
        <property name="dataTypeVariableUnitePRODAO" ref="dataTypeVariableUnitePRODAO"/>
        <property name="valeurPhysicoChimieDAO" ref="valeurPhysicoChimieDAO"/>
             
    </bean>
    
    <bean id="testFormatPhysicoChimie" class="org.inra.ecoinfo.pro.dataset.impl.GenericTestFormat"
          parent="abstractTestFormat">
        <property name="datatypeName" value="physico_chimie_des_sols" />
        <property name="testValues" ref="testValuesPhysicoChimie" />
        <property name="testHeaders" ref="testHeadersPhysicoChimie" />
    </bean>
    
    <bean id="physicoChimieRecorder" class="org.inra.ecoinfo.pro.dataset.impl.RecorderPRO" parent="abstractRecorderBean">
        <property name="datasetDescriptorPath" value="physicochimie/sol/elementaire/dataset-descriptor.xml" />
        <property name="sessionPropertiesName" value="sessionPropertiesPhysicoChimie" />
        <property name="testFormat" ref="testFormatPhysicoChimie" />
        <property name="deleteRecord" ref="deleteRecordPhysicoChimie" />
        <property name="processRecord" ref="processRecordPhysicoChimie" />
       
    </bean>
    
</beans>
